Bug 70705 - Upgrading apache to httpd eats /var/www/html/index.html
Upgrading apache to httpd eats /var/www/html/index.html
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-08-04 08:01 EDT by Nils Philippsen
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 12:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2002-08-04 08:01:37 EDT
Description of Problem:

SSIA, after upgrading to httpd, I only have index.html.rpmsave (which is a copy 

Version-Release number of selected component (if applicable):

httpd-2.0.36-7

How Reproducible:

Easily

Steps to Reproduce:
1. Upgrade from apache to httpd

Actual Results:

index.html missing

Expected Results:

index.html there, either version from package (with .rpmsave as the original
one) or (better) original user modified version.
Additional Information:
Comment 1 Joe Orton 2002-08-22 09:33:07 EDT
I don't think this is really fixable: a new feature of the 2.0 packages is that
there are no files under RPM's control in /var/www/html/ (see bug 65736), this
is  a better strategy in the long run, and causes less surprises.  So I'll class
this as a migration issue, I'll try and get it added to the docs.
Comment 2 Chris Ricker 2002-09-16 14:41:03 EDT
I just hit this as well.  It's not documented in either RELEASE_NOTES or
/usr/share/doc/httpd-2.0.40/migration.html like it should be....
Comment 3 Joe Orton 2004-09-30 12:02:18 EDT
For what it's worth now, this was fixed in FC1.

# Prevent removal of index.html on upgrades from 1.3
%triggerun -- apache < 2.0, stronghold-apache < 2.0
if [ -r %{contentdir}/index.html -a ! -r
%{contentdir}/index.html.rpmold ]; then
  mv %{contentdir}/index.html %{contentdir}/index.html.rpmold
fi

Note You need to log in before you can comment on or make changes to this bug.